## aegisub 3.2.2+dfsg

=== Makefile ===
include header.mk

ifeq (yes, $(BUILD_DARWIN))
osx-bundle:
	$(BIN_SHELL) tools/osx-bundle.sh "$(AEGISUB_COMMAND)" "$(BIN_WX_CONFIG)" "$(FONTCONFIG_CONF_DIR)" DICT_DIR=$(DICT_DIR)

osx-dmg: osx-bundle
	codesign -s 'Mac Developer' --deep Aegisub.app || true
	$(BIN_SHELL) tools/osx-dmg.sh "$(BUILD_VERSION_STRING)"
endif

include Makefile.target

=== automation/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../header.mk

DATA_AUTOMATION := \
	$(wildcard $(d)autoload/*) \
	$(wildcard $(d)demos/*) \
	$(wildcard $(d)include/*.lua) \
	$(wildcard $(d)include/aegisub/*)

DATA_AUTOMATION_REL := $(subst $(d),,$(DATA_AUTOMATION))
DATA_AUTOMATION_INSTALLED = $(addprefix $(DESTDIR)$(P_DATA)/automation/, $(DATA_AUTOMATION_REL))

$(DESTDIR)$(P_DATA)/automation/%: $(d)%
	$(MKDIR_INSTALL)

aegisub-lua_OBJ := $(d)tests/aegisub.o $(TOP)lib/libaegisub.a $(TOP)lib/libluabins.a $(LIBS_LUA)
aegisub-lua_CPPFLAGS := $(CPPFLAGS_BOOST) $(CFLAGS_LUA) -I$(TOP)libaegisub/include -I$(TOP)src $(CXXFLAGS_WX)
aegisub-lua_LIBS := $(LIBS_WX) $(LIBS_BOOST) $(LIBS_ICU)

PROGRAM += $(d)aegisub-lua

test-automation: $(PROGRAM)
	cd $(TOP)automation; LUA=./aegisub-lua busted -p 'moon' tests/modules

test: test-automation

install: $(DATA_AUTOMATION_INSTALLED)

include $(TOP)Makefile.target

=== libaegisub/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../header.mk

aegisub_OBJ := \
	$(d)common/parser.o \
	$(d)ass/dialogue_parser.o \
	$(d)ass/time.o \
	$(subst .cpp,.o,$(wildcard $(d)audio/*.cpp)) \
	$(subst .cpp,.o,$(wildcard $(d)common/cajun/*.cpp)) \
	$(subst .cpp,.o,$(wildcard $(d)lua/modules/*.cpp)) \
	$(subst .c,.o,$(wildcard $(d)lua/modules/*.c)) \
	$(subst .cpp,.o,$(wildcard $(d)lua/*.cpp)) \
	$(subst .cpp,.o,$(wildcard $(d)unix/*.cpp)) \
	$(d)common/calltip_provider.o \
	$(d)common/character_count.o \
	$(d)common/charset.o \
	$(d)common/charset_6937.o \
	$(d)common/charset_conv.o \
	$(d)common/color.o \
	$(d)common/file_mapping.o \
	$(d)common/format.o \
	$(d)common/fs.o \
	$(d)common/hotkey.o \
	$(d)common/io.o \
	$(d)common/json.o \
	$(d)common/kana_table.o \
	$(d)common/karaoke_matcher.o \
	$(d)common/keyframe.o \
	$(d)common/log.o \
	$(d)common/mru.o \
	$(d)common/option.o \
	$(d)common/path.o \
	$(d)common/thesaurus.o \
	$(d)common/util.o \
	$(d)common/vfr.o \
	$(d)common/ycbcr_conv.o

ifeq (yes, $(BUILD_DARWIN))
aegisub_OBJ += $(subst .mm,.o,$(wildcard $(d)osx/*.mm))
else
aegisub_OBJ += $(d)common/dispatch.o
endif

aegisub_PCH := $(d)lagi_pre.h
aegisub_CPPFLAGS := -I$(d)include -I$(TOP) -fPIC $(CPPFLAGS_BOOST) $(CFLAGS_LUA)

$(d)common/charset_conv.o_FLAGS := $(CFLAGS_ICONV)
$(d)common/parser.o_FLAGS := -ftemplate-depth=256
$(d)unix/path.o_FLAGS := -DP_DATA=\"$(P_DATA)\"

LIB += aegisub

include $(TOP)Makefile.target

=== po/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../header.mk

.SUFFIXES: .po .mo

PO := $(wildcard $(d)*.po)
MO := $(PO:po=mo)

ifeq (yes, $(BUILD_DARWIN))
MO_INSTALLED = $(DESTDIR)$(P_LOCALE)/%.lproj/$(AEGISUB_CATALOG).mo
else
MO_INSTALLED = $(DESTDIR)$(P_LOCALE)/%/LC_MESSAGES/$(AEGISUB_CATALOG).mo
endif

%.mo: %.po
	$(BIN_MSGFMT) -o $@ $<

$(MO_INSTALLED): $(d)%.mo	; $(MKDIR_INSTALL)

all: $(MO)
install: $(patsubst %.mo, $(MO_INSTALLED), $(notdir $(MO)))

CLEANFILES += $(MO)

include $(TOP)Makefile.target

=== src/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../header.mk

PROGRAM += $(d)src

src_CPPFLAGS := -I$(d) -I.. -I$(d)include -I$(TOP)libaegisub/include -I$(TOP)build \
	$(CFLAGS_PTHREAD) $(CFLAGS_FFTW3) $(CFLAGS_ICU)
src_CXXFLAGS := $(CXXFLAGS_WX)
src_LIBS := $(LIBS_GL) $(LIBS_PTHREAD) $(LIBS_WX) $(LIBS_FREETYPE) \
	$(LIBS_LIBASS) $(LIBS_FONTCONFIG) $(LIBS_FFTW3)  $(LIBS_BOOST) $(LIBS_ICU)
src_PCH := $(d)agi_pre.h
src_INSTALLNAME := $(AEGISUB_COMMAND)

src_OBJ := \
	$(subst .cpp,.o,$(wildcard $(d)command/*.cpp)) \
	$(subst .cpp,.o,$(wildcard $(d)dialog_*.cpp)) \
	$(subst .cpp,.o,$(wildcard $(d)subtitle_format*.cpp)) \
	$(subst .cpp,.o,$(wildcard $(d)visual_tool*.cpp)) \
	$(d)MatroskaParser.o \
	$(d)aegisublocale.o \
	$(d)ass_attachment.o \
	$(d)ass_dialogue.o \
	$(d)ass_entry.o \
	$(d)ass_export_filter.o \
	$(d)ass_exporter.o \
	$(d)ass_file.o \
	$(d)ass_karaoke.o \
	$(d)ass_override.o \
	$(d)ass_parser.o \
	$(d)ass_style.o \
	$(d)ass_style_storage.o \
	$(d)async_video_provider.o \
	$(d)audio_box.o \
	$(d)audio_colorscheme.o \
	$(d)audio_controller.o \
	$(d)audio_display.o \
	$(d)audio_karaoke.o \
	$(d)audio_marker.o \
	$(d)audio_player.o \
	$(d)audio_provider_factory.o \
	$(d)audio_renderer.o \
	$(d)audio_renderer_spectrum.o \
	$(d)audio_renderer_waveform.o \
	$(d)audio_timing_dialogue.o \
	$(d)audio_timing_karaoke.o \
	$(d)auto4_base.o \
	$(d)auto4_lua.o \
	$(d)auto4_lua_assfile.o \
	$(d)auto4_lua_dialog.o \
	$(d)auto4_lua_progresssink.o \
	$(d)avisynth_wrap.o \
	$(d)base_grid.o \
	$(d)charset_detect.o \
	$(d)colorspace.o \
	$(d)colour_button.o \
	$(d)compat.o \
	$(d)context.o \
	$(d)crash_writer.o \
	$(d)export_fixstyle.o \
	$(d)export_framerate.o \
	$(d)fft.o \
	$(d)font_file_lister.o \
	$(d)font_file_lister_fontconfig.o \
	$(d)frame_main.o \
	$(d)gl_text.o \
	$(d)gl_wrap.o \
	$(d)grid_column.o \
	$(d)help_button.o \
	$(d)hotkey.o \
	$(d)hotkey_data_view_model.o \
	$(d)initial_line_state.o \
	$(d)main.o \
	$(d)menu.o \
	$(d)mkv_wrap.o \
	$(d)pen.o \
	$(d)persist_location.o \
	$(d)preferences.o \
	$(d)preferences_base.o \
	$(d)project.o \
	$(d)resolution_resampler.o \
	$(d)search_replace_engine.o \
	$(d)selection_controller.o \
	$(d)spellchecker.o \
	$(d)spline.o \
	$(d)spline_curve.o \
	$(d)string_codec.o \
	$(d)subs_controller.o \
	$(d)subs_edit_box.o \
	$(d)subs_edit_ctrl.o \
	$(d)subs_preview.o \
	$(d)subtitles_provider.o \
	$(d)subtitles_provider_libass.o \
	$(d)text_file_reader.o \
	$(d)text_file_writer.o \
	$(d)text_selection_controller.o \
	$(d)thesaurus.o \
	$(d)timeedit_ctrl.o \
	$(d)toggle_bitmap.o \
	$(d)toolbar.o \
	$(d)tooltip_manager.o \
	$(d)utils.o \
	$(d)validators.o \
	$(d)vector2d.o \
	$(d)version.o \
	$(d)video_box.o \
	$(d)video_controller.o \
	$(d)video_display.o \
	$(d)video_frame.o \
	$(d)video_out_gl.o \
	$(d)video_provider_cache.o \
	$(d)video_provider_dummy.o \
	$(d)video_provider_manager.o \
	$(d)video_provider_yuv4mpeg.o \
	$(d)video_slider.o \
	$(d)visual_feature.o \
	$(LIBS_LUA) \
	$(TOP)lib/libaegisub.a \
	$(TOP)lib/libluabins.a \
	$(TOP)lib/libresrc.a \
	$(TOP)lib/libuniversalchardet.a \

ifeq (yes, $(BUILD_DARWIN))
src_OBJ += $(subst .mm,.o,$(wildcard $(d)osx/*.mm))
endif

###############
# AUDIO PLAYERS
###############
$(d)audio_player_alsa.o_FLAGS      := $(CFLAGS_ALSA)
$(d)audio_player_portaudio.o_FLAGS := $(CFLAGS_PORTAUDIO)
$(d)audio_player_pulse.o_FLAGS     := $(CFLAGS_LIBPULSE)
$(d)audio_player_openal.o_FLAGS    := $(CFLAGS_OPENAL)
$(d)audio_player_oss.o_FLAGS       := $(CFLAGS_OSS)

ifeq (yes, $(HAVE_ALSA))
src_LIBS += $(LIBS_ALSA)
src_OBJ += $(d)audio_player_alsa.o
endif

ifeq (yes, $(HAVE_PORTAUDIO))
src_LIBS += $(LIBS_PORTAUDIO)
src_OBJ += $(d)audio_player_portaudio.o
endif

ifeq (yes, $(HAVE_LIBPULSE))
src_LIBS += $(LIBS_LIBPULSE)
src_OBJ += $(d)audio_player_pulse.o
endif

ifeq (yes, $(HAVE_OPENAL))
src_LIBS += $(LIBS_OPENAL)
src_OBJ += $(d)audio_player_openal.o
endif

ifeq (yes, $(HAVE_OSS))
src_OBJ += $(d)audio_player_oss.o
endif

#######################
# AUDIO / VIDEO SUPPORT
#######################
ifeq (yes, $(HAVE_FFMS2))
$(d)audio_provider_ffmpegsource.o_FLAGS := $(CFLAGS_FFMS2)
$(d)video_provider_ffmpegsource.o_FLAGS := $(CFLAGS_FFMS2)
$(d)ffmpegsource_common.o_FLAGS         := $(CFLAGS_FFMS2)
$(d)preferences.o_FLAGS                 := $(CFLAGS_FFMS2)
src_LIBS += $(LIBS_FFMS2)
src_OBJ += \
	$(d)audio_provider_ffmpegsource.o \
	$(d)video_provider_ffmpegsource.o \
	$(d)ffmpegsource_common.o
endif

##############
# MISCELLANOUS
##############
ifeq (yes, $(HAVE_HUNSPELL))
$(d)spellchecker_hunspell.o_FLAGS := $(CFLAGS_HUNSPELL)
src_LIBS += $(LIBS_HUNSPELL)
src_OBJ += $(d)spellchecker_hunspell.o
endif

#####################
# SOURCE-LEVEL CFLAGS
#####################
$(d)MatroskaParser.o_FLAGS              := -Wno-sometimes-uninitialized
$(d)audio_player.o_FLAGS                := $(CFLAGS_ALSA) $(CFLAGS_PORTAUDIO) $(CFLAGS_LIBPULSE) $(CFLAGS_OPENAL)
$(d)audio_provider_factory.o_FLAGS      := $(CFLAGS_FFMS2)
$(d)auto4_base.o_FLAGS                  := $(CFLAGS_FREETYPE)
$(d)charset_detect.o_FLAGS              := -D_X86_
$(d)font_file_lister_fontconfig.o_FLAGS := $(CFLAGS_FONTCONFIG)
$(d)subtitles_provider.o_FLAGS          := $(CFLAGS_LIBASS)
$(d)subtitles_provider_libass.o_FLAGS   := $(CFLAGS_LIBASS) -Wno-c++11-narrowing
$(d)text_file_reader.o_FLAGS            := -D_X86_
$(d)video_provider_manager.o_FLAGS      := $(CFLAGS_FFMS2)
$(d)auto4_lua.o_FLAGS                   := -I$(TOP)vendor/luajit/include
$(d)auto4_lua_assfile.o_FLAGS           := -I$(TOP)vendor/luajit/include
$(d)auto4_lua_dialog.o_FLAGS            := -I$(TOP)vendor/luajit/include
$(d)auto4_lua_progresssink.o_FLAGS      := -I$(TOP)vendor/luajit/include

$(src_OBJ): $(d)libresrc/bitmap.h $(d)libresrc/default_config.h

include $(d)libresrc/Makefile

=== tests/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../header.mk

GTEST_ROOT ?= $(TOP)vendor/googletest
GTEST_FILE := ${GTEST_ROOT}/src/gtest-all

run_PCH := $(d)support/tests_pre.h
run_CPPFLAGS := -I$(TOP)libaegisub/include -I$(TOP) -I$(d)support \
	-I$(GTEST_ROOT) -I$(GTEST_ROOT)/include $(CPPFLAGS_BOOST) $(CFLAGS_LUA)
run_CXXFLAGS := -Wno-unused-value -Wno-sign-compare
run_LIBS := $(LIBS_BOOST) $(LIBS_ICU) -pthread
run_OBJ := \
	$(subst .cpp,.o,$(wildcard $(d)tests/*.cpp)) \
	$(d)support/main.o \
	$(d)support/util.o \
	$(TOP)lib/libaegisub.a \
	$(TOP)lib/libuniversalchardet.a \
	$(GTEST_FILE).o

# This bit of goofiness is to make it only try to build the tests if google
# test can be found and silently skip it if not, by using $(wildcard) to check
# for file existence
PROGRAM += $(subst $(GTEST_FILE).cc,$(d)run,$(wildcard $(GTEST_FILE).cc))

ifeq (yes, $(BUILD_DARWIN))
run_LIBS += -framework ApplicationServices -framework Foundation
endif

$(d)data: $(d)setup.sh
	cd $(TOP)tests; ./setup.sh

gtest_filter ?= *
test-libaegisub: $(d)run $(d)data
	cd $(TOP)tests; ./run --gtest_filter="$(gtest_filter)"

test: $(subst $(GTEST_FILE).cc,test-libaegisub,$(wildcard $(GTEST_FILE).cc))

include $(TOP)Makefile.target

=== tools/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../header.mk

osx-bundle-restart-helper_OBJ := $(d)osx-bundle-restart-helper.o

ifeq (yes, $(BUILD_DARWIN))
PROGRAM += $(d)osx-bundle-restart-helper
endif

repack-thes-dict_OBJ  := $(d)repack-thes-dict.o $(TOP)lib/libaegisub.a
repack-thes-dict_LIBS := $(LIBS_BOOST) $(LIBS_ICU)
repack-thes-dict_CPPFLAGS := -I$(TOP) -I$(TOP)libaegisub/include $(CFLAGS_ICU)

PROGRAM += $(d)repack-thes-dict

$(TOP)tools/respack.lua: $(TOP)vendor/luajit/src/host/minilua

include $(TOP)Makefile.target

=== packages/desktop/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../../header.mk
DESKTOP_SRC := $(d)

ICONS = $(wildcard $(d)*.png) $(wildcard $(d)*.svg)
ICONS_INSTALLED = $(DESTDIR)$(P_ICON)/hicolor/%/apps/aegisub.

DESKTOP_FILE := $(d)aegisub.desktop
DESKTOP_FILE_PO := $(d)../../po
DESKTOP_FILE_INSTALLED = $(DESTDIR)$(P_DESKTOP)/$(notdir $(DESKTOP_FILE))

DISTCLEANFILES += $(DESKTOP_FILE)

%.desktop: %.desktop.template $(DESKTOP_FILE_PO)
	intltool-merge --quiet --desktop-style $(DESKTOP_FILE_PO) $< $@

$(ICONS_INSTALLED)png: $(d)%.png	; $(MKDIR_INSTALL)
$(ICONS_INSTALLED)svg: $(d)%.svg	; $(MKDIR_INSTALL)
$(DESKTOP_FILE_INSTALLED): $(DESKTOP_FILE)	; $(MKDIR_INSTALL)

ifneq (yes, $(BUILD_DARWIN))
install: \
	$(DESKTOP_FILE_INSTALLED) \
	$(patsubst %.png, $(ICONS_INSTALLED)png, $(patsubst %.svg, $(ICONS_INSTALLED)svg, $(notdir $(ICONS))))
endif

include $(TOP)Makefile.target

=== src/libresrc/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../../header.mk

LIB += resrc

resrc_CPPFLAGS := -I$(TOP) -I$(d) $(CPPFLAGS_WX)
resrc_OBJ := \
	$(d)bitmap.o \
	$(d)default_config.o \
	$(d)libresrc.o

$(resrc_OBJ): $(d)default_config.h $(d)bitmap.h $(d)default_config.cpp $(d)bitmap.cpp

RESPACK := cd $(TOP)src/libresrc; $(TOP)vendor/luajit/src/host/minilua $(TOP)tools/respack.lua

$(d)bitmap.cpp: $(d)bitmap.h
$(d)default_config.cpp: $(d)default_config.h

$(d)bitmap.h: $(TOP)tools/respack.lua $(d)../bitmaps/button
	$(RESPACK) ../bitmaps/manifest.respack bitmap.cpp bitmap.h

ifeq (yes, $(BUILD_DARWIN))
$(d)default_config.h: $(TOP)tools/respack.lua $(d)*.json $(d)osx/*.json
	$(RESPACK) manifest_osx.respack default_config.cpp default_config.h
else
$(d)default_config.h: $(TOP)tools/respack.lua $(d)*.json
	$(RESPACK) manifest.respack default_config.cpp default_config.h
endif

CLEANFILES += \
	$(d)bitmap.cpp \
	$(d)bitmap.h \
	$(d)default_config.cpp \
	$(d)default_config.h

DISTCLEANFILES += $(d)default_config_platform.json

include $(TOP)Makefile.target

=== vendor/luabins/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../../header.mk

luabins_OBJ := $(subst .c,.o,$(wildcard $(d)src/*.c))
luabins_CPPFLAGS := $(CFLAGS_LUA)

LIB += luabins

include $(TOP)Makefile.target

=== vendor/universalchardet/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../../header.mk

universalchardet_OBJ := $(subst .cpp,.o,$(wildcard $(d)*.cpp))
universalchardet_CPPFLAGS := -D_X86_

LIB += universalchardet

include $(TOP)Makefile.target

=== debian/control ===
Source: aegisub
Section: video
Priority: optional
Maintainer: Aniol Marti <amarti@caliu.cat>
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libgl1-mesa-dev | libgl-dev,
               pkg-config,
               libfreetype6-dev,
               libfontconfig1-dev,
               libass-dev,
               libboost-dev,
               libboost-chrono-dev,
               libboost-filesystem-dev,
               libboost-locale-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libffms2-dev,
               libwxgtk3.0-gtk3-dev,
               intltool,
               lua5.1,
               libluajit-5.1-dev [!s390x !alpha !hppa !ia64 !m68k !powerpcspe !sh4 !sparc64] | liblua5.1-0-dev,
               libasound2-dev,
               libhunspell-dev,
               libfftw3-dev,
               libuchardet-dev,
               libopenal-dev,
               libpulse-dev,
               libicu-dev
Standards-Version: 4.5.0
Homepage: http://www.aegisub.org/
Vcs-Git: https://salsa.debian.org/debian/aegisub.git
Vcs-Browser: https://salsa.debian.org/debian/aegisub
Rules-Requires-Root: no

Package: aegisub
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: aegisub-l10n
Description: advanced subtitle editor
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully
 fledged, highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting environment
 called Automation (originally mostly intended for creating karaoke effects,
 Automation can now be used much else, including creating macros and various
 other convenient tools).

Package: aegisub-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends},
         aegisub (>= ${source:Version}),
         aegisub (<< ${source:Version}.1~)
Description: aegisub language packages
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully
 fledged, highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting environment
 called Automation (originally mostly intended for creating karaoke effects,
 Automation can now be used much else, including creating macros and various
 other convenient tools).
 .
 This package contains language packages for the following languages:
 ca, cs, da, de, el, es, fa, fi, fr, hu, id, it, ja, ko, pl, pt_BR, pt_PT, ru,
 sr_RS, vi, zh_CN, zh_TW

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
http://ftp.aegisub.org/pub/releases/aegisub-(.+)\.tar\.xz debian uupdate

## aegisub 3.4.2%2Bds

=== luajit/Makefile ===
##############################################################################
# LuaJIT top level Makefile for installation. Requires GNU Make.
#
# Please read doc/install.html before changing any variables!
#
# Suitable for POSIX platforms (Linux, *BSD, OSX etc.).
# Note: src/Makefile has many more configurable options.
#
# ##### This Makefile is NOT useful for Windows! #####
# For MSVC, please follow the instructions given in src/msvcbuild.bat.
# For MinGW and Cygwin, cd to src and run make with the Makefile there.
#
# Copyright (C) 2005-2023 Mike Pall. See Copyright Notice in luajit.h
##############################################################################

MAJVER=  2
MINVER=  1
ABIVER=  5.1

# LuaJIT uses rolling releases. The release version is based on the time of
# the latest git commit. The 'git' command must be available during the build.
RELVER= $(shell cat src/luajit_relver.txt 2>/dev/null || : )
# Note: setting it with := doesn't work, since it will change during the build.

MMVERSION= $(MAJVER).$(MINVER)
VERSION= $(MMVERSION).$(RELVER)

##############################################################################
#
# Change the installation path as needed. This automatically adjusts
# the paths in src/luaconf.h, too. Note: PREFIX must be an absolute path!
#
export PREFIX= /usr/local
export MULTILIB= lib
##############################################################################

DPREFIX= $(DESTDIR)$(PREFIX)
INSTALL_BIN=   $(DPREFIX)/bin
INSTALL_LIB=   $(DPREFIX)/$(MULTILIB)
INSTALL_SHARE_= $(PREFIX)/share
INSTALL_SHARE= $(DESTDIR)$(INSTALL_SHARE_)
INSTALL_DEFINC= $(DPREFIX)/include/luajit-$(MMVERSION)
INSTALL_INC=   $(INSTALL_DEFINC)

export INSTALL_LJLIBD= $(INSTALL_SHARE_)/luajit-$(MMVERSION)
INSTALL_JITLIB= $(DESTDIR)$(INSTALL_LJLIBD)/jit
INSTALL_LMODD= $(INSTALL_SHARE)/lua
INSTALL_LMOD= $(INSTALL_LMODD)/$(ABIVER)
INSTALL_CMODD= $(INSTALL_LIB)/lua
INSTALL_CMOD= $(INSTALL_CMODD)/$(ABIVER)
INSTALL_MAN= $(INSTALL_SHARE)/man/man1
INSTALL_PKGCONFIG= $(INSTALL_LIB)/pkgconfig

INSTALL_TNAME= luajit-$(VERSION)
INSTALL_TSYMNAME= luajit
INSTALL_ANAME= libluajit-$(ABIVER).a
INSTALL_SOSHORT1= libluajit-$(ABIVER).so
INSTALL_SOSHORT2= libluajit-$(ABIVER).so.$(MAJVER)
INSTALL_SONAME= libluajit-$(ABIVER).so.$(VERSION)
INSTALL_DYLIBSHORT1= libluajit-$(ABIVER).dylib
INSTALL_DYLIBSHORT2= libluajit-$(ABIVER).$(MAJVER).dylib
INSTALL_DYLIBNAME= libluajit-$(ABIVER).$(VERSION).dylib
INSTALL_PCNAME= luajit.pc

INSTALL_STATIC= $(INSTALL_LIB)/$(INSTALL_ANAME)
INSTALL_DYN= $(INSTALL_LIB)/$(INSTALL_SONAME)
INSTALL_SHORT1= $(INSTALL_LIB)/$(INSTALL_SOSHORT1)
INSTALL_SHORT2= $(INSTALL_LIB)/$(INSTALL_SOSHORT2)
INSTALL_T= $(INSTALL_BIN)/$(INSTALL_TNAME)
INSTALL_TSYM= $(INSTALL_BIN)/$(INSTALL_TSYMNAME)
INSTALL_PC= $(INSTALL_PKGCONFIG)/$(INSTALL_PCNAME)

INSTALL_DIRS= $(INSTALL_BIN) $(INSTALL_LIB) $(INSTALL_INC) $(INSTALL_MAN) \
  $(INSTALL_PKGCONFIG) $(INSTALL_JITLIB) $(INSTALL_LMOD) $(INSTALL_CMOD)
UNINSTALL_DIRS= $(INSTALL_JITLIB) $(DESTDIR)$(INSTALL_LJLIBD) $(INSTALL_INC) \
  $(INSTALL_LMOD) $(INSTALL_LMODD) $(INSTALL_CMOD) $(INSTALL_CMODD)

RM= rm -f
MKDIR= mkdir -p
RMDIR= rmdir 2>/dev/null
SYMLINK= ln -sf
INSTALL_X= install -m 0755
INSTALL_F= install -m 0644
UNINSTALL= $(RM)
LDCONFIG= ldconfig -n 2>/dev/null
SED_PC= sed -e "s|^prefix=.*|prefix=$(PREFIX)|" \
	    -e "s|^multilib=.*|multilib=$(MULTILIB)|" \
	    -e "s|^relver=.*|relver=$(RELVER)|"
ifneq ($(INSTALL_DEFINC),$(INSTALL_INC))
  SED_PC+= -e "s|^includedir=.*|includedir=$(INSTALL_INC)|"
endif

FILE_T= luajit
FILE_A= libluajit.a
FILE_SO= libluajit.so
FILE_MAN= luajit.1
FILE_PC= luajit.pc
FILES_INC= lua.h lualib.h lauxlib.h luaconf.h lua.hpp luajit.h
FILES_JITLIB= bc.lua bcsave.lua dump.lua p.lua v.lua zone.lua \
	      dis_x86.lua dis_x64.lua dis_arm.lua dis_arm64.lua \
	      dis_arm64be.lua dis_ppc.lua dis_mips.lua dis_mipsel.lua \
	      dis_mips64.lua dis_mips64el.lua \
	      dis_mips64r6.lua dis_mips64r6el.lua \
	      vmdef.lua

ifeq (,$(findstring Windows,$(OS)))
  HOST_SYS:= $(shell uname -s)
else
  HOST_SYS= Windows
endif
TARGET_SYS?= $(HOST_SYS)

ifeq (Darwin,$(TARGET_SYS))
  INSTALL_SONAME= $(INSTALL_DYLIBNAME)
  INSTALL_SOSHORT1= $(INSTALL_DYLIBSHORT1)
  INSTALL_SOSHORT2= $(INSTALL_DYLIBSHORT2)
  LDCONFIG= :
  SED_PC+= -e "s| -Wl,-E||"
endif

##############################################################################

INSTALL_DEP= src/luajit

default all $(INSTALL_DEP):
	@echo "==== Building LuaJIT $(MMVERSION) ===="
	$(MAKE) -C src
	@echo "==== Successfully built LuaJIT $(MMVERSION) ===="

install: $(INSTALL_DEP)
	@echo "==== Installing LuaJIT $(VERSION) to $(PREFIX) ===="
	$(MKDIR) $(INSTALL_DIRS)
	cd src && $(INSTALL_X) $(FILE_T) $(INSTALL_T)
	cd src && test -f $(FILE_A) && $(INSTALL_F) $(FILE_A) $(INSTALL_STATIC) || :
	$(RM) $(INSTALL_DYN) $(INSTALL_SHORT1) $(INSTALL_SHORT2)
	cd src && test -f $(FILE_SO) && \
	  $(INSTALL_X) $(FILE_SO) $(INSTALL_DYN) && \
	  ( $(LDCONFIG) $(INSTALL_LIB) || : ) && \
	  $(SYMLINK) $(INSTALL_SONAME) $(INSTALL_SHORT1) && \
	  $(SYMLINK) $(INSTALL_SONAME) $(INSTALL_SHORT2) || :
	cd etc && $(INSTALL_F) $(FILE_MAN) $(INSTALL_MAN)
	cd etc && $(SED_PC) $(FILE_PC) > $(FILE_PC).tmp && \
	  $(INSTALL_F) $(FILE_PC).tmp $(INSTALL_PC) && \
	  $(RM) $(FILE_PC).tmp
	cd src && $(INSTALL_F) $(FILES_INC) $(INSTALL_INC)
	cd src/jit && $(INSTALL_F) $(FILES_JITLIB) $(INSTALL_JITLIB)
	$(SYMLINK) $(INSTALL_TNAME) $(INSTALL_TSYM)
	@echo "==== Successfully installed LuaJIT $(VERSION) to $(PREFIX) ===="

uninstall:
	@echo "==== Uninstalling LuaJIT $(VERSION) from $(PREFIX) ===="
	$(UNINSTALL) $(INSTALL_TSYM) $(INSTALL_T) $(INSTALL_STATIC) $(INSTALL_DYN) $(INSTALL_SHORT1) $(INSTALL_SHORT2) $(INSTALL_MAN)/$(FILE_MAN) $(INSTALL_PC)
	for file in $(FILES_JITLIB); do \
	  $(UNINSTALL) $(INSTALL_JITLIB)/$$file; \
	  done
	for file in $(FILES_INC); do \
	  $(UNINSTALL) $(INSTALL_INC)/$$file; \
	  done
	$(LDCONFIG) $(INSTALL_LIB)
	$(RMDIR) $(UNINSTALL_DIRS) || :
	@echo "==== Successfully uninstalled LuaJIT $(VERSION) from $(PREFIX) ===="

##############################################################################

amalg:
	@echo "==== Building LuaJIT $(MMVERSION) (amalgamation) ===="
	$(MAKE) -C src amalg
	@echo "==== Successfully built LuaJIT $(MMVERSION) (amalgamation) ===="

clean:
	$(MAKE) -C src clean

.PHONY: all install amalg clean

##############################################################################

## aegisub 3.4.2+ds

=== meson_options.txt ===
option('alsa', type: 'feature', description: 'ALSA audio output')
option('openal', type: 'feature', description: 'OpenAL audio output')
option('libpulse', type: 'feature', description: 'PulseAudio audio output')
option('portaudio', type: 'feature', description: 'PortAudio audio output')
option('directsound', type: 'feature', description: 'DirectSound audio output')
option('default_audio_output', type: 'combo', choices: ['auto', 'ALSA', 'OpenAL', 'PulseAudio', 'PortAudio', 'DirectSound'], description: 'Default audio output')

option('ffms2', type: 'feature', description: 'FFMS2 video source')
option('avisynth', type: 'feature', description: 'AviSynth video source')

option('fftw3', type: 'feature', description: 'FFTW3 support')
option('hunspell', type: 'feature', description: 'Hunspell spell checker')
option('uchardet', type: 'feature', description: 'uchardet character encoding detection')
option('csri', type: 'feature', description: 'CSRI support')

option('system_luajit', type: 'boolean', value: false, description: 'Force using system luajit')
option('local_boost', type: 'boolean', value: false, description: 'Force using locally compiled Boost')

option('wx_version', type: 'string', value: '3.0.0', description: 'The minimum wxWidgets version to use')

option('credit', type: 'string', value: '', description: 'Build credit shown in program title')
option('official_release', type: 'boolean', value: false, description: 'Set on official builds')

option('enable_update_checker', type: 'boolean', value: true, description: 'Enable the update checker')
option('update_server', type: 'string', value: 'https://aegisub-updates.redvice.org', description: 'Server to use for the update checker')
option('update_url', type: 'string', value: '/trunk', description: 'Base path to use for the update checker')

option('build_osx_bundle', type: 'boolean', value: false, description: 'Package Aegisub.app on OSX')

=== debian/changelog ===
aegisub (3.4.2+ds-3) unstable; urgency=medium

  [ Xiyue Deng ]
  * Cherrypick patch to fix for big endian archs
    - This should fix test failures on s390x. (Closes: #1128015)

 -- Aniol Martí <aniol.marti@riseup.net>  Sun, 15 Feb 2026 11:02:22 +0200

aegisub (3.4.2+ds-2) unstable; urgency=medium

  [ Xiyue Deng ]
  * Add libluajit-5.1-dev with 5.2 compat mode to Build-Depends
    (Closes: #1116248)
  * Drop build rule regarding embedded luajit
    - Now build against the version in Debian.
  * Enable more optional features
    - Add libfftw3-dev, libopenal-dev, libpulse-dev, portaudio19-dev to
      Build-Depends.
  * Migrate d/watch to version 5 format
    - Also add comments on where to download the actual upstream tarball.
  * Add lintian-overrides for version 5 debian-watch
    - debian-watch-not-mangling-version only support version 4 format.
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Rules-Requires-Root: no'; now default
  * Drop `Priority: optional'; now default
  * Add myself to Uploaders
  * Use secure URI in Homepage field.
    Changes-By: lintian-brush
    Fixes: lintian: homepage-field-uses-insecure-uri
    See-also:
    https://lintian.debian.org/tags/homepage-field-uses-insecure-uri.html
  * Add d/u/metadata
  * Allow debrebuild to fail on Salsa CI
    - This is the new reprotest and aegisub is failing due to unstable
      build ID.

 -- Aniol Martí <aniol.marti@riseup.net>  Sat, 07 Feb 2026 11:42:27 +0200

aegisub (3.4.2+ds-1) unstable; urgency=medium

  [ Aniol Martí ]
  * Update upstream version (Closes: #1081486, #1005171, #1027433).
  * Migrate libgl1-mesa-dev, libfontconfig1-dev and libfreetype6-dev.
  * Update standards to 4.7.0.
  * Delete src/git_version.h

  [ Xiyue Deng ]
  * Drop subprojects/luajit/.relver
    - This causes diff with upstream source when running under Salsa CI.
  * Sort dependencies and install files with `wrap-and-sort -ast'
  * Drop build-essential from Build-Depends
    - Not needed.
  * Update obsolete build dependencies
    - libfontconfig1-dev => libfontconfig-dev
    - libfreetype6-dev => libfreetype-dev
    - pkg-config => pkgconf
  * Update Standards-Version to 4.7.2; no change needed
  * Enable diffoscope on Salsa CI for debugging reprotest failure
  * Allow reprotest to fail in Salsa CI
    - Caused by build id change.
  * Add License text for public domain
  * Stop referencing old FSF address in license texts
    - Instead refer to https://www.gnu.org/licenses/

 -- Aniol Martí <aniol.marti@riseup.net>  Mon, 22 Sep 2025 10:27:38 +0200

=== debian/control ===
Source: aegisub
Section: video
Maintainer: Aniol Martí <aniol.marti@riseup.net>
Uploaders:
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 git,
 intltool,
 libasound2-dev,
 libass-dev,
 libboost-all-dev,
 libcurl4-openssl-dev,
 libffms2-dev,
 libfftw3-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libgmock-dev,
 libgtest-dev,
 libhunspell-dev,
 libluajit-5.1-dev (>= 2.1.0+openresty20251030-1~),
 libopenal-dev,
 libpulse-dev,
 libuchardet-dev,
 libwxgtk3.2-dev,
 libx11-dev,
 meson,
 ninja-build,
 pkgconf,
 portaudio19-dev,
Standards-Version: 4.7.3
Homepage: https://www.aegisub.org/
Vcs-Git: https://salsa.debian.org/debian/aegisub.git
Vcs-Browser: https://salsa.debian.org/debian/aegisub

Package: aegisub
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 aegisub-l10n,
Description: advanced subtitle editor
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully
 fledged, highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting environment
 called Automation (originally mostly intended for creating karaoke effects,
 Automation can now be used much else, including creating macros and various
 other convenient tools).

Package: aegisub-l10n
Section: localization
Architecture: all
Depends:
 aegisub (<< ${source:Version}.1~),
 aegisub (>= ${source:Version}),
 ${misc:Depends},
Description: aegisub language packages
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully
 fledged, highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting environment
 called Automation (originally mostly intended for creating karaoke effects,
 Automation can now be used much else, including creating macros and various
 other convenient tools).
 .
 This package contains language packages for the following languages:
 ca, cs, da, de, el, es, fa, fi, fr, hu, id, it, ja, ko, pl, pt_BR, pt_PT, ru,
 sr_RS, vi, zh_CN, zh_TW

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Denable_update_checker=false

=== debian/watch ===
Version: 5

# Note: This is only used for checking new versions.  The actual
# upstream tarball is different from the one generated by Github and
# should be retrieved from the page at
# https://github.com/TypesettingTools/Aegisub/releases/tag/v@ANY_VERSION@.
# The actual download link cannot be used directly without knowing the
# current version so cannot be used here.
Template: Github
Owner: TypesettingTools
Project: Aegisub
Dversion-Mangle: auto
Repack: yes
Repack-Suffix: +ds
